# Copyright (C) 2024-2025 LibreWeddingPlanner contributors

# frozen_string_literal: true

require 'swagger_helper'

RSpec.describe 'users/registrations' do
  path '/{slug}/users' do
    post('create registration') do
      tags 'Users Registrations'
      consumes 'application/json'
      produces 'application/json'

      parameter Swagger::Schema::SLUG
      parameter name: :body, in: :body, schema: {
        type: :object,
        required: %i[user wedding],
        properties: {
          user: {
            type: :object,
            required: %i[email password password_confirmation],
            properties: {
              email: { type: :string, format: :email },
              password: SwaggerResponseHelper::PASSWORD,
              password_confirmation: SwaggerResponseHelper::PASSWORD
            }
          },
          **Swagger::Schema::CAPTCHA
        }
      }

      response(201, 'created') do
        schema type: :object, properties: Swagger::Schema::USER
        xit
      end
    end
  end
end
